# containers.podman.buildah connection – Interact with an existing buildah container — Ansible collections documentation

# containers.podman.buildah connection – Interact with an existing buildah container

Note

This connection plugin is part of the containers.podman collection (version 1.18.0).

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install containers.podman`.

To use it in a playbook, specify: `containers.podman.buildah`.

## Synopsis

- Run commands or put/fetch files to an existing container using buildah tool.

## Parameters

Parameter | Comments
--- | ---

remote_addr

string

The ID of the container you want to access.

Default: `"inventory_hostname"`

Configuration:

- Variable: ansible_host

- Variable: inventory_hostname

remote_user

string

User specified via name or ID which is used to execute commands inside the container.

Configuration:

- INI entry:

      [defaults]
      remote_user = VALUE

- Environment variable: `ANSIBLE_REMOTE_USER`

- Variable: ansible_user

Note

Configuration entries listed above for each entry type (Ansible variable, environment variable, and so on) have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up. The entry types are also ordered by precedence from low to high priority order. For example, an ansible.cfg entry (further up in the list) is overwritten by an Ansible variable (further down in the list).

### Authors

- Tomas Tomecek (@TomasTomecek)

### Collection links

- Issue Tracker
- Repository (Sources)